Subject: Re: bug#68030: 29.1; (elisp) `pcase Macro' Reformulation with `pcase' example

From: Stefan Kangas <[email-masked]>
Date: Mon, 25 Dec 2023 08:47:17 -0800

Drew Adams <[email-masked]> writes:

> We shouldn't try to introduce (and perhaps even motivate) the use of
> `pcase' for such a "simple matching task".  The `pcase' version is
> many times more complex than the simple `if' version with a
> single-sexp THEN and a single-sexp ELSE.

The purpose is to start with a small example to teach the reader about
pcase.  I see nothing that needs changing here.

> Even if the aim is to present `or', `and', `pred' and `app', a better
> example should be used - something where it really _helps_ to use those
> subpatterns.  In the example chosen they just add noise.

Without any concrete suggestions, I don't see anything actionable here.
I'm therefore closing this bug report.

> [Not part of this bug report, but you might also want to move the whole
> `Caveats for SYMBOL in Sequencing Patterns' to a separate node (with
> `pcase' somewhere in the node name).]

I don't see any benefit in doing that.

>
> In GNU Emacs 29.1 (build 2, x86_64-w64-mingw32) of 2023-08-02 built on
>  AVALON
> Windowing system distributor 'Microsoft Corp.', version 10.0.19045
> System Description: Microsoft Windows 10 Pro (v10.0.2009.19045.3803)
>
> Configured using:
>  'configure --with-modules --without-dbus --with-native-compilation=aot
>  --without-compress-install --with-tree-sitter CFLAGS=-O2'
>
> Configured features:
> ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
> NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND SQLITE3 THREADS TIFF
> TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XPM ZLIB
>
> (NATIVE_COMP present but libgccjit not available)